{% from "packages/components/tables/macro.njk" import table %}
{% from "packages/components/textarea/macro.njk" import textarea %}

{% macro hceSummaryTableWithTextArea(params) %}
<div class="nhsuk-grid-column">
  <div class="govuk-summary-card">
    <div class="govuk-summary-card__title-wrapper">
      <h2 class="govuk-summary-card__title">{{ params.text.heading }}</h2>
    </div>
    <div class="govuk-summary-card-text-area__content">
      <div class="nhsuk-table-container">
        {{ table({
        responsive: false,
        panel: false,
        firstCellIsHeader: false,
        head: params.tableData.headings,
        rows: params.tableData.rows
        }) }}  
      </div>    

      <div class="nhsuk-form-group">
        {{ textarea({
          "label": {
            "text": params.text.noteLabel,
            "classes": "nhsuk-summary-label"
          },
          "name": "description",
          "id": "description"
        }) }}
      </div>
    </div>
  </div>
</div>
{% endmacro %}